com.unitech.stuhfl

## Enum STUHFL_E.TREXT_LEAD

- java.lang.Object
- - java.lang.Enum<STUHFL_E.TREXT_LEAD>
  - - com.unitech.stuhfl.STUHFL_E.TREXT_LEAD

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<STUHFL_E.TREXT_LEAD>
  Enclosing class:
    STUHFL_E

      public static enum STUHFL_E.TREXT_LEAD
      extends java.lang.Enum<STUHFL_E.TREXT_LEAD>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OFF`
    `ON`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static STUHFL_E.TREXT_LEAD` | `int2Enum(int id)`
    `int` | `toInt()`
    `static STUHFL_E.TREXT_LEAD` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static STUHFL_E.TREXT_LEAD[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OFF

          public static final STUHFL_E.TREXT_LEAD OFF

    - #### ON

          public static final STUHFL_E.TREXT_LEAD ON

  - ### Method Detail

    - #### values

          public static STUHFL_E.TREXT_LEAD[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (STUHFL_E.TREXT_LEAD c : STUHFL_E.TREXT_LEAD.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static STUHFL_E.TREXT_LEAD valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toInt

          public int toInt()

    - #### int2Enum

          public static STUHFL_E.TREXT_LEAD int2Enum(int id)